# apc_dec

(PECL apc >= 3.1.1)

apc_dec — Decrease a stored number

### Description

apc_dec ( string `$key` [, int `$step` = 1 [, bool `&$success` ]] ) : int

Decreases a stored integer value.

### Parameters

`key`

  The key of the value being decreased.

`step`

  The step, or value to decrease.

`success`

  Optionally pass the success or fail boolean value to this referenced variable.

### Return Values

Returns the current value of `key`'s value on success, or `FALSE` on failure

### Examples

Example #1 apc_dec() example

`<?php
echo "Let's do something with success", PHP_EOL;
apc_store('anumber', 42);
echo apc_fetch('anumber'), PHP_EOL;
echo apc_dec('anumber'), PHP_EOL;
echo apc_dec('anumber', 10), PHP_EOL;
echo apc_dec('anumber', 10, $success), PHP_EOL;
var_dump($success);
echo "Now, let's fail", PHP_EOL, PHP_EOL;
apc_store('astring', 'foo');
$ret = apc_dec('astring', 1, $fail);
var_dump($ret);
var_dump($fail);
?>`

The above example will output something similar to:

    Let's do something with success
    42
    41
    31
    21
    bool(true)

    Now, let's fail
    bool(false)
    bool(false)

### See Also

- apc_inc() - Increase a stored number